Subject: Re: [v9fs] Pull request for linux-next

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Jul 2018 00:04:20 +1000

Hi Dominique,

On Wed, 18 Jul 2018 08:29:20 +0200 Dominique Martinet <[email-masked]> wrote:
>
> I'd like to request that you add the following tree to linux-next:
> 
>   git://github.com/martinetd/linux 9p-next
> 
> 9p has seen some renewal of interest recently and I'd like to help take
> a bit of the burden off Andrew, who suggested getting this included in
> linux-next here[1].
> 
> This branch contains 9p filesystem & network patches that I have
> gathered recently after they have been reviewed, and will keep pushing
> patches there.
> 
> 
> I've tried to respect the rules I've found, but please tell me if I
> missed anything:
>  - all patches have the author's Signed-off-by tag,
>  - been posted to the v9fs and linux-kernel lists,
>  - have been reviewed,
>  - have been tested (*cough* a bit, I need to improve the process),
>  - and are destined to the 4.19 merge window
> 
> 
> [1] https://sourceforge.net/p/v9fs/mailman/message/36370423/

All looks good to me. Added from (later) today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]